unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, Parts;

type
  TMainForm = class(TForm)
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    FEdict: TEdict;
  public

  end;

var
  MainForm: TMainForm;

implementation

uses
    jeuc, Info;

{$R *.dfm}

//-----------------------------------------------------------------------------
procedure TMainForm.FormCreate(Sender: TObject);
begin
    FEdict := TEdict.Create();
end;

//-----------------------------------------------------------------------------
procedure TMainForm.FormDestroy(Sender: TObject);
begin
    FEdict.Free();
end;

procedure TMainForm.Button1Click(Sender: TObject);
var
    LTicks: Cardinal;
begin
    LTicks := GetTickCount();
    FEdict.LoadFromFile('edict.gz');
    LTicks := GetTickCount() - LTicks;
    Caption := IntToStr(LTicks);
end;

end.
